/***** PC/SP COMMON *****/

/*
 * アニメーションの起点
 * PC/SP 共通
 * 現行の吹き出しのとがった部分を起点にしているので吹き出し画像の変更があれば適宜修正ください
 */
main.top .floormap--pick1,
main.top .floormap--pick1:before{
  transform-origin: left center;
}
main.top .floormap--pick2,
main.top .floormap--pick2:before{
  transform-origin: left center;
}
main.top .floormap--pick3,
main.top .floormap--pick3:before {
  transform-origin: left center;
}
main.top .floormap--pick4,
main.top .floormap--pick4:before {
  transform-origin: right center;
}
main.top .floormap--pick5,
main.top .floormap--pick5:before {
  transform-origin: right center;
}
main.top .floormap--pick6,
main.top .floormap--pick6:before {
  transform-origin: right center;
}
main.top .floormap--pick7,
main.top .floormap--pick7:before {
  transform-origin: right center;
}

/*
 * 出現アニメーションの順番
 * PC/SP 共通
 * 出現させたい順に transition-delay値をずらしています
 */
main.top .floormap--pick1 {
  transition-delay: 0.3s;
}
main.top .floormap--pick2 {
  transition-delay: 0.4s;
}
main.top .floormap--pick3 {
  transition-delay: 0.5s;
}
main.top .floormap--pick4 {
  transition-delay: 0.6s;
}
main.top .floormap--pick5 {
  transition-delay: 0.7s;
}
main.top .floormap--pick6 {
  transition-delay: 0.8s;
}
main.top .floormap--pick7 {
  transition-delay: 0.9s;
}

/*
 * 吹き出し画像 変更ある場合はこちらのURLを変更ください
 * PC/SP 共通
 */
main.top .floormap--pick1:before {
  background: url("/assets/img/top/pick1_floormap.webp") 0 0/100% auto no-repeat;
}
main.top .floormap--pick2:before {
  background: url("/assets/img/top/pick2_floormap.webp") 0 0/100% auto no-repeat;
}
main.top .floormap--pick3:before {
  background: url("/assets/img/top/pick3_floormap.webp") 0 0/100% auto no-repeat;
}
main.top .floormap--pick4:before {
  background: url("/assets/img/top/pick4_floormap.webp") 0 0/100% auto no-repeat;
}
main.top .floormap--pick5:before {
  background: url("/assets/img/top/pick5_floormap.webp") 0 0/100% auto no-repeat;
}
main.top .floormap--pick6:before {
  background: url("/assets/img/top/pick6_floormap.webp") 0 0/100% auto no-repeat;
}
main.top .floormap--pick7:before {
  background: url("/assets/img/top/pick7_floormap.webp") 0 0/100% auto no-repeat;
}


/*
◎◎吹き出し追加用 テンプレート◎◎

main.top .floormap--pick[X],
main.top .floormap--pick[X]:before {
  transform-origin: right center;
}

main.top .floormap--pick[X] {
  transition-delay: 0.3s;
}

main.top .floormap--pickX:before {
  background: url("/assets/img/top/pick[X]_floormap.webp") 0 0/100% auto no-repeat;
}

*/



/***** PC *****/
@media only screen and (min-width: 768px) {
  /* 吹き出しの大きさ */
  main.top .floormap--pick {
    width: 7.8rem;
    height: 6.5rem;
  }

  /* 各吹き出しの配置 フロアマップ画像左上起点 */
  main.top .floormap--pick1 {
    margin: 29.7rem 0 0 87.6rem !important;
  }
  main.top .floormap--pick2 {
    margin: 43.2rem 0 0 91.4rem !important;
  }
  main.top .floormap--pick3 {
    margin: 21.3rem 0 0 44.4rem !important;
  }
  main.top .floormap--pick4 {
    margin: 35.2rem 0 0 72.6rem !important;
  }
  main.top .floormap--pick5 {
    margin: 34.1rem 0 0 22.4rem !important;
  }
  main.top .floormap--pick6 {
    margin: 47.9rem 0 0 33rem !important;
  }
  main.top .floormap--pick7 {
    margin: 57rem 0 0 14.8rem !important;
  }

  /*
  ◎◎吹き出し追加用 テンプレート◎◎

  main.top .floormap--pick[X] {
    margin: [T]rem 0 0 [L]rem;
  }

  */
}

/***** SP *****/
@media only screen and (max-width: 767px) {
  /* 吹き出しの大きさ */
  main.top .floormap--pick {
    width: 4.2rem;
    height: 3.6rem;
  }

  /* 各吹き出しの配置 フロアマップ画像左上起点 */
  main.top .floormap--pick1 {
	margin: 9.7rem 0 0 32rem !important;
  }
  main.top .floormap--pick2 {
    margin: 14.5rem 0 0 33.5rem !important;
  }
  main.top .floormap--pick3 {
	margin: 6.9rem 0 0 13.7rem !important;
  }
  main.top .floormap--pick4 {
    margin: 11.7rem 0 0 26rem !important;
  }
  main.top .floormap--pick5 {
    margin: 11.2rem 0 0 6rem !important;
  }
  main.top .floormap--pick6 {
    margin: 16.1rem 0 0 10.3rem !important;
  }
  main.top .floormap--pick7 {
    margin: 19.4rem 0 0 3.3rem !important;
  }

  /*
  ◎◎吹き出し追加用 テンプレート◎◎

  main.top .floormap--pick[X] {
    margin: [T]rem 0 0 [L]rem;
  }

  */
}

/***** HOVER ACTION *****/
@media (hover: hover) and (pointer: fine) {
  main.top .floormap .animated .floormap--pick:before {
    transition: transform 0.3s cubic-bezier(0, 0.79, 0.48, 1.24);
  }
  main.top .floormap .animated .floormap--pick:hover:before {
    transform: scale(1.1);
  }
}